#################################s#o#q######################################
## by Arthur Chan @ soqhome.com
#############################################################################

from AccessControl import ClassSecurityInfo
from Globals import InitializeClass, package_home
from OFS.SimpleItem import SimpleItem
from Products.CMFCore.CMFCorePermissions  import ManagePortal
from Products.CMFCore.utils import UniqueObject, getToolByName
from Products.PageTemplates.PageTemplateFile import PageTemplateFile

from Products.CMFFolder.config import *

class CMFFolderTool(UniqueObject, SimpleItem):
    """ CMFFolder Tool  """ 

    id        = 'cmffolder_tool'
    meta_type = 'CMFFolder Tool'
    security = ClassSecurityInfo()
    plone_tool = 1

    manage_options=(
        ({ 'label'   : 'Config',
           'action'  : 'manage_configForm',
           },
         ) + SimpleItem.manage_options
        )

    security.declareProtected( ManagePortal
                             , 'manage_configForm' )    
    
    manage_configForm = PageTemplateFile('www/config', globals(), __name__='manage_configForm')

    def __init__(self):
        self._reset()

    def _reset(self):
        
        
        return

    #def _set(self, REQUEST=None, **kwargs):
    #    if REQUEST==None:
    #        arglist= kwargs
    #    else:
    #        arglist = REQUEST
    #    
    #    return 
    #    
    #
    #def manage_configCMFFolder(self, submit, \
    #                     REQUEST=None, **kwargs):
    #
    #    """config this puppy"""
    #    if submit == "Set Config":
    #        self._set(REQUEST=REQUEST, **kwargs)
    #    elif submit == "Reset Config":
    #        self._reset()
    #
    #    if REQUEST:
    #        return REQUEST.RESPONSE.redirect(self.absolute_url() + \
    #                                         "/manage_configForm?portal_status_message=Config+Updated")
    #
    
    
InitializeClass(CMFFolderTool)
