#################################s#o#q######################################
## by Arthur Chan @ soqhome.com
#############################################################################

##############s#o#q###################
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFCore.utils import getToolByName, ToolInit
from StringIO import StringIO

from Products.CMFFolder.config import *

from StringIO import StringIO

def install_tools(self, out):
    if not hasattr(self, "cmffolder_tool"):
        addTool = self.manage_addProduct['CMFFolder'].manage_addTool(type="CMFFolder Tool")
        print >>out, "Install Tool okay"
    else:
        print >>out, "Tool already exists."
        

def install_actions(self, out):
    at = getToolByName(self, "portal_actions")
    at.manage_aproviders('cmffolder_tool', add_provider=1)
   
def addCMFFolderSlot(self,out):
    # add language selector portlet
    
    slot = "here/portlet_cmffolder/macros/portlet"

    left_slots=getattr(self,'left_slots', None)
    right_slots=getattr(self, 'right_slots', ())

    if left_slots != None:
        if slot not in left_slots and slot not in right_slots:
            left_slots=list(left_slots)+[slot,]
            self.left_slots=left_slots
            print >> out, 'Added Language selector portlet to left_slots property.\n'

def install(self):

    out = StringIO()

    install_tools(self, out)
    install_actions(self, out)
    install_subskin(self, out, GLOBALS)
    
    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)

    addCMFFolderSlot(self,out)
    return out.getvalue()

#
# Uninstall methods
#

def unregisterActionProvider(self, out):
    actionTool = getToolByName(self, 'portal_actions', None)
    if actionTool:
        actionTool.deleteActionProvider('cmffolder_tool')
        out.write('Removed action provider\n')

# The uninstall is used by the CMFQuickInstaller for uninstalling.
# CMFQuickInstaller uninstalls skins.
def uninstall(self):
    out=StringIO()
    unregisterActionProvider(self, out)
    return out.getvalue()


